﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Skills_assessment
{
    public partial class FormTafrig : Form
    {
        int t , q , scorrPositive = 0, scorrNegative = 0;
        int ran_start;
        int ran_end;

        public FormTafrig()
        {
            InitializeComponent();
        }

        private void btnStart_Click(object sender, EventArgs e)
        {
            timer1.Enabled = true;
            btnTest.Enabled = true;
            btnStop.Enabled = true;
            Random r = new Random();
            label1.Text = r.Next(ran_start, ran_end).ToString();
            label3.Text = r.Next(ran_start, ran_end).ToString();
            q --;
            labelQuestion.Text = q.ToString();
            btnStart.Enabled = false;
        }

        private void timer1_Tick(object sender, EventArgs e)
        {

            t--;
            labelTime.Text = t.ToString();

            if (t == 0)
            {
                timer1.Enabled = false;

                MessageBox.Show("پاسخ های صحیح :" + scorrPositive + "\n" + "پاسخ های غلط :" + scorrNegative + "\n" + "سوالات بی پاسخ :" + q + "\n",
                    "وقت تمام شد", MessageBoxButtons.OK, MessageBoxIcon.Information);

                label1.Text = ("?");
                label3.Text = ("?");
                labelQuestion.Text = ("--");
                labelTime.Text = ("--");
                numericUpDown1.Value = 0;

                t = FormSetting.tt;
                q = FormSetting.qq;
                scorrPositive = 0;
                scorrNegative = 0;

                btnStart.Enabled = true;
                btnTest.Enabled = false;
                btnStop.Enabled = false;
            }

        }

        private void btnTest_Click(object sender, EventArgs e)
        {
            int a, b, c;
            a = int.Parse(label1.Text);
            b = int.Parse(label3.Text);
            c = (int)numericUpDown1.Value;
            
            if ((a - b) == c)
            {
                scorrPositive += 1;
                numericUpDown1.Value = 0;
            }
            else
            {
                scorrNegative += 1;
                numericUpDown1.Value = 0;
            }

            Random r = new Random();
            label1.Text = r.Next(ran_start, ran_end).ToString();
            label3.Text = r.Next(ran_start, ran_end).ToString();
            q --;
            labelQuestion.Text = q.ToString();

            if (q == 0)
            {
                timer1.Enabled = false;

                MessageBox.Show("پاسخ های صحیح :" + scorrPositive + "\n" + "پاسخ های غلط :" + scorrNegative + "\n" + "زمان باقی مانده :" + t + "\n",
                    "سوالات تمام شد", MessageBoxButtons.OK, MessageBoxIcon.Information);

                label1.Text = ("?");
                label3.Text = ("?");
                labelQuestion.Text = ("--");
                labelTime.Text = ("--");
                numericUpDown1.Value = 0;

                t = FormSetting.tt;
                q = FormSetting.qq;
                scorrPositive = 0;
                scorrNegative = 0;

                btnStart.Enabled = true;
                btnTest.Enabled = false;
                btnStop.Enabled = false;


            }
        }

        private void btnStop_Click(object sender, EventArgs e)
        {
            timer1.Enabled = true;
            btnTest.Enabled = true;
            btnStart.Enabled = false;

            label1.Text = ("?");
            label3.Text = ("?");
            labelQuestion.Text = ("--");
            labelTime.Text = ("--");
            numericUpDown1.Value = 0;

            t = FormSetting.tt;
            q = FormSetting.qq;
            scorrPositive = 0;
            scorrNegative = 0;

            Random r = new Random();
            label1.Text = r.Next(ran_start, ran_end).ToString();
            label3.Text = r.Next(ran_start, ran_end).ToString();
            q --;
            labelQuestion.Text = q.ToString();
        }

        private void FormTafrig_Load(object sender, EventArgs e)
        {
            t = FormSetting.tt;
            q = FormSetting.qq;

            ran_start = FormSetting.ran_value_start;
            ran_end = FormSetting.ran_value_end;

        }
    }
}
